/**
 * XActRelationshipPatientTransport2.java
 *
 * File generated from the medication2::XActRelationshipPatientTransport2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipPatientTransport2.
 *
 * 
 */

@XmlType(name = "XActRelationshipPatientTransport")
@XmlEnum
@XmlRootElement(name = "XActRelationshipPatientTransport2")
public enum XActRelationshipPatientTransport2 {
	@XmlEnumValue("ARR")
	ARR("ARR"),
	@XmlEnumValue("DEP")
	DEP("DEP");
	
	private final String value;

    XActRelationshipPatientTransport2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipPatientTransport2 fromValue(String v) {
        for (XActRelationshipPatientTransport2 c: XActRelationshipPatientTransport2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
